Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.sql
Class ConnectionPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      weka.gui.sql.ConnectionPanel

All Implemented Interfaces:
  java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.event.CaretListener

    public class ConnectionPanel

extends javax.swing.JPanel
implements javax.swing.event.CaretListener

Enables the user to insert a database URL, plus user/password to connect to this database.

Version:
  $Revision: 1.3 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.BaselineResizeBehavior`

Field Summary
`static java.lang.String` | `HISTORY_NAME` the name of the history.

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ConnectionPanel(javax.swing.JFrame parent)` initializes the panel.

Method Summary
`void` | `addConnectionListener(ConnectionListener l)` adds the given listener to the list of listeners.
`void` | `addHistoryChangedListener(HistoryChangedListener l)` adds the given listener to the list of listeners.
`void` | `caretUpdate(javax.swing.event.CaretEvent event)` Called when the caret position is updated.
`void` | `clear()` sets the parameters back to standard.
`javax.swing.DefaultListModel` | `getHistory()` returns the history.
`java.lang.String` | `getPassword()` returns the current Password.
`java.lang.String` | `getURL()` returns the current URL.
`java.lang.String` | `getUser()` returns the current User.
`void` | `removeConnectionListener(ConnectionListener l)` removes the given listener from the list of listeners.
`void` | `removeHistoryChangedListener(HistoryChangedListener l)` removes the given listener from the list of listeners.
`void` | `setFocus()` sets the focus in a designated control.
`void` | `setHistory(javax.swing.DefaultListModel history)` sets the local history to the given one.
`void` | `setPassword(java.lang.String pw)` sets the Password.
`void` | `setURL(java.lang.String url)` sets the URL.
`void` | `setUser(java.lang.String user)` sets the User.
`void` | `showHistory()` displays the query history.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### HISTORY_NAME

    public static final java.lang.String HISTORY_NAME

  the name of the history.

  See Also:
    Constant Field Values

Constructor Detail

### ConnectionPanel

    public ConnectionPanel(javax.swing.JFrame parent)

  initializes the panel.

  Parameters:
    `parent` - the parent of this panel

Method Detail

### clear

    public void clear()

  sets the parameters back to standard.

### setFocus

    public void setFocus()

  sets the focus in a designated control.

### setURL

    public void setURL(java.lang.String url)

  sets the URL.

  Parameters:
    `url` - the new value of the URL

### getURL

    public java.lang.String getURL()

  returns the current URL.

  Returns:
    the current URL

### setUser

    public void setUser(java.lang.String user)

  sets the User.

  Parameters:
    `user` - the new value of the User

### getUser

    public java.lang.String getUser()

  returns the current User.

  Returns:
    the current user

### setPassword

    public void setPassword(java.lang.String pw)

  sets the Password.

  Parameters:
    `pw` - the new value of the Password

### getPassword

    public java.lang.String getPassword()

  returns the current Password.

  Returns:
    the current password

### setHistory

    public void setHistory(javax.swing.DefaultListModel history)

  sets the local history to the given one.

  Parameters:
    `history` - the history to use

### getHistory

    public javax.swing.DefaultListModel getHistory()

  returns the history.

  Returns:
    the current history

### showHistory

    public void showHistory()

  displays the query history.

### addConnectionListener

    public void addConnectionListener(ConnectionListener l)

  adds the given listener to the list of listeners.

  Parameters:
    `l` - the listener to add to the list

### removeConnectionListener

    public void removeConnectionListener(ConnectionListener l)

  removes the given listener from the list of listeners.

  Parameters:
    `l` - the listener to remove

### addHistoryChangedListener

    public void addHistoryChangedListener(HistoryChangedListener l)

  adds the given listener to the list of listeners.

  Parameters:
    `l` - the listener to add to the list

### removeHistoryChangedListener

    public void removeHistoryChangedListener(HistoryChangedListener l)

  removes the given listener from the list of listeners.

  Parameters:
    `l` - the listener to remove

### caretUpdate

    public void caretUpdate(javax.swing.event.CaretEvent event)

  Called when the caret position is updated.

  Specified by:
    `caretUpdate` in interface `javax.swing.event.CaretListener`
  Parameters:
    `event` - the event to process

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD